summaryrefslogtreecommitdiff
path: root/pst/install-patch-official.sh
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-08-16 02:25:28 +0100
committerNick White <git@njw.me.uk>2009-08-16 02:25:28 +0100
commit4f837e2cef827e6f700c5ae180551510ffedc718 (patch)
tree403525e52860588ed9e9336b2197c26034bfe797 /pst/install-patch-official.sh
parent95fa96a6c1d34ba8e53f8e9badd8c0d0c94eff37 (diff)
downloadgemrb-gameinstallers-4f837e2cef827e6f700c5ae180551510ffedc718.tar.bz2
gemrb-gameinstallers-4f837e2cef827e6f700c5ae180551510ffedc718.zip
Work around unshield bug
Basically, if extracting to a directory which was not itself lowercase, unshield would fail. This patch cds to the directory first, to work around the issue. http://sourceforge.net/tracker/?func=detail&aid=2801016&group_id=30550&atid=399601
Diffstat (limited to 'pst/install-patch-official.sh')
-rwxr-xr-xpst/install-patch-official.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/pst/install-patch-official.sh b/pst/install-patch-official.sh
index a924f33..cfa576d 100755
--- a/pst/install-patch-official.sh
+++ b/pst/install-patch-official.sh
@@ -36,7 +36,9 @@ setuptmp
getpatch $patch_url
cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
-unshield -d "$TMPDIR" -L x "${TMPDIR}/data1.cab" || diesoftly
+# work around unshield bug (#2801016 in SynCE project)
+#unshield -d "$TMPDIR" -L x "${TMPDIR}/data1.cab" || diesoftly
+cd "${TMPDIR}" && unshield -d . -L x "${TMPDIR}/data1.cab" || diesoftly
copylower "${TMPDIR}/program_executable_files/" "$TARGETDIR" || diesoftly